Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2453 - XFree86 depends on xbanner ?!?!?
Summary: XFree86 depends on xbanner ?!?!?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-30 22:41 UTC by monnier+lists/redhat/bugs
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-10 23:44:35 UTC


Attachments (Terms of Use)

Description monnier+lists/redhat/bugs 1999-04-30 22:41:17 UTC
Why does XFree86 depend on xbanner ??

Comment 1 rmc 1999-05-03 19:19:59 UTC
Because xbanner is used by xdm, I guess.
maybe xdm should be put into a separate package?

Comment 2 Chris Siebenmann 1999-05-04 22:48:59 UTC
I think it would be good to split xdm config files and the like
off from the main X package, so that people can still install the
base X stuff on a small system without having to pull in all the
stuff that's just there to make it look pretty and isn't necessary
for functionality.

 Better would be a general revision in packaging to split 'pretty
config files' away from everything else. For things like XDM, I'd
suggest that there be a 'basic' set of config files in the core
package, and another set of optional pretty config files. If the
pretty config files are installed the basic ones can notice and
include them; only the pretty config files would require things
like xbanner et al.

 This may well be too complicated for RedHat to find worthwhile.

Comment 3 David Lawrence 1999-05-10 23:44:59 UTC
Thank you for your suggestion. It will be considered for the next
release of Red Hat Linux.


Note You need to log in before you can comment on or make changes to this bug.